CREATE TABLE Line_chart(
  id INTEGER primary key autoincrement,
  mtxdate TEXT,
  mtype INTEGER,
  mincome REAL,
  mpayment REAL,
  mave_mincome REAL,
  mchart_type INTEGER,
  mcisnum TEXT,
  mbegindate TEXT,
  menddate TEXT,
  mnoresult INTEGER,
  mno Text
);

CREATE TABLE Pie_chart(
  id INTEGER primary key autoincrement,
  mpie_date INTEGER,
  mpie_type INTEGER,
  museinfo TEXT,
  maccount REAL,
  maccount_per REAL,
  musetype INTEGER,
  mcisnum TEXT,
  mstartdate TEXT,
  menddate TEXT,
  museinfo_type TEXT,
  mno TEXT
);

CREATE TABLE account_detail(
    id INTEGER primary key autoincrement,
    mcis_no TEXT,
    mcard_no TEXT,
    mdate TEXT,
    mdetail REAL,
    museinfo TEXT,
    mispay TEXT,
    mplace TEXT,
    mcurrency TEXT,
    maccno TEXT,
    mbusidate TEXT,
    mbusitime TEXT,
    mamount REAL,
    mcurrtype TEXT,
    mbalance REAL,
    mdiscp TEXT,
    mrecipact TEXT,
    mresavname TEXT,
    mprodtype TEXT,
    misforeign TEXT,
    museinfotype TEXT,
    mcashsign TEXT,
    mzone TEXT
);

CREATE TABLE salary_detail(
    id INTEGER primary key autoincrement,
    mcis_no TEXT,
    mcurrtype TEXT,
    mbusidate TEXT,
    mamount REAL,
    mcashsign TEXT,
    mhelpinfo TEXT,
    mispay TEXT,
    mzone TEXT,
    mplace TEXT,
    mbalance REAL,
    mrecipact TEXT,
    mresavname TEXT,
    mdate TEXT,
    mdetail REAL,
    mcurrency TEXT,
    mcard_no TEXT
);


CREATE TABLE card_list(
    id INTEGER primary key autoincrement,
    mcis_no TEXT,
    mcard_no TEXT,
    mtype TEXT,
    mcreate_date TEXT,
    mstate TEXT,
    mcard_index TEXT,
    misregister INTEGER,
    macc_type TEXT,
    maddcard_tip TEXT,
    maddcard_path TEXT
);

CREATE TABLE summary_table(
    id INTEGER primary key autoincrement,
    mcis_no TEXT,
    mserialno TEXT,
    mpaymenttype TEXT,
    mdetailtype TEXT
);


CREATE TABLE summary_detail_table(
    id INTEGER primary key autoincrement,
    mcis_no TEXT,
    mpaymenttype TEXT,
    msummarykey TEXT,
    mdetailtypeno TEXT,
    mdetailtype TEXT,
    mmatchdata TEXT,
    mmatchtype TEXT
);