var ICBCEpayVerifyTools = {
	debug:false,
	// ȡ豸idӿ
	getEpayDeviceIdCallBack:undefined,
	getEpayDeviceId : function(params) {
		try {
			var paramSend={};
			//У
			//ص
			if (params.callBack == undefined || typeof params.callBack != 'function') {
				this.log('getEpayDeviceId-callBackȷ');
				return;
			}
			paramSend.callBack="ICBCEpayVerifyTools.getEpayDeviceIdCallBack";
			this.getEpayDeviceIdCallBack = params.callBack;
			if (ICBCUtilTools.isiPhone()) {
				ICBCPageTools.iOSExcuteNativeMethod("Native://EpayVerify=getEpayDeviceId&params="+JSON.stringify(paramSend));
			}else if (ICBCUtilTools.isAndroid()) {
				var resultString=Native.getEpayDeviceId();
				var result = JSON.parse(resultString);
				this.getEpayDeviceIdCallBack(result);
			}
		} catch (e) {
			this.log(e);
		}
	},	
	// ȡͻ˰󶨹ϵӿ
	getEpayClientBindInfoCallBack:undefined,
	getEpayClientBindInfo : function(params) {
		try {
			var paramSend={};
			//У
			//ص
			if (params.callBack == undefined || typeof params.callBack != 'function') {
				this.log('getEpayClientBindInfo-callBackȷ');
				return;
			}
			paramSend.callBack="ICBCEpayVerifyTools.getEpayClientBindInfoCallBack";
			this.getEpayClientBindInfoCallBack = params.callBack;
			if (ICBCUtilTools.isiPhone()) {
				ICBCPageTools.iOSExcuteNativeMethod("Native://EpayVerify=getEpayClientBindInfo&params="+JSON.stringify(paramSend));
			}else if (ICBCUtilTools.isAndroid()) {
				var resultString=Native.getEpayClientBindInfo();
				if(resultString==undefined||resultString==null){
					resultString="{'iClientDeviceList':[]}";
				}
				var result = JSON.parse(resultString);
				this.getEpayClientBindInfoCallBack(result);
			}
		} catch (e) {
			this.log(e);
		}
	},
	// ɾͻ˰󶨹ϵӿ
	delEpayClientBindInfoCallBack:undefined,
	delEpayClientBindInfo : function(params) {
		try {
			var paramSend={};
			//У
			//ͻϢ
			if (params.cisnum==undefined){
				this.log('delEpayClientBindInfo-cisnumȷ');
				return;
			}
			paramSend.cisnum=params.cisnum;
			//ǱУ
			//ص
			if (params.callBack != undefined && typeof params.callBack == 'function') {
				this.getEpayClientBindInfoCallBack = params.callBack;
				paramSend.callBack="ICBCEpayVerifyTools.delEpayClientBindInfoCallBack";
			}else{
				paramSend.callBack="";
			}
			if (ICBCUtilTools.isiPhone()) {
				ICBCPageTools.iOSExcuteNativeMethod("Native://EpayVerify=delEpayClientBindInfo&params="+JSON.stringify(paramSend));
			}else if (ICBCUtilTools.isAndroid()) {
				var result=Native.delEpayClientBindInfo(JSON.stringify(paramSend));
				if(this.delEpayClientBindInfoCallBack!=undefined)
					this.delEpayClientBindInfoCallBack(result);
			}
		} catch (e) {
			this.log(e);
		}
	},
	// ޸Ŀͻ˰󶨹ϵӿ
	handleEpayClientBindInfoCallBack:undefined,
	handleEpayClientBindInfo : function(params) {
		try {
			var paramSend={};
			//У
			//ͻϢ
			if (params.cisnum==undefined){
				this.log('handleEpayClientBindInfo-cisnumȷ');
				return;
			}
			paramSend.cisnum=params.cisnum;
			//ֻ
			if (params.epaymobile==undefined){
				this.log('handleEpayClientBindInfo-epaymobileȷ');
				return;
			}
			paramSend.epaymobile=params.epaymobile;			
			//ǱУ
			//ص
			if (params.callBack != undefined && typeof params.callBack == 'function') {
				this.handleEpayClientBindInfoCallBack = params.callBack;
				paramSend.callBack="ICBCEpayVerifyTools.handleEpayClientBindInfoCallBack";
			}else{
				paramSend.callBack="";
			}
			if (ICBCUtilTools.isiPhone()) {
				ICBCPageTools.iOSExcuteNativeMethod("Native://EpayVerify=handleEpayClientBindInfo&params="+JSON.stringify(paramSend));
			}else if (ICBCUtilTools.isAndroid()) {
				var result=Native.handleEpayClientBindInfo(JSON.stringify(paramSend));
				if(this.handleEpayClientBindInfoCallBack!=undefined)
					this.handleEpayClientBindInfoCallBack(result);
			}
		} catch (e) {
			this.log(e);
		}
	},
	// ֧ӿ
	setEpayPasswordSuccessCallBack:undefined,
	setEpayPasswordCancelCallBack:undefined,
	setEpayPassword : function(params) {
		try {
			var paramSend={};
			//У
			//ͻϢ
			if (params.cisnum==undefined){
				this.log('setEpayPassword-cisnumȷ');
				return;
			}
			paramSend.cisnum=params.cisnum;
			//ֻ
			if (params.epaymobile==undefined){
				this.log('setEpayPassword-epaymobileȷ');
				return;
			}
			paramSend.epaymobile=params.epaymobile;
			//ʾ
			if (params.epaymsg!=undefined){
				var tipsArrayString=JSON.stringify(params.epaymsg);
				tipsArrayString=tipsArrayString.replace(/"/g,"");	
				paramSend.epaymsg=encodeURIComponent(tipsArrayString);
			}
			//ܲ
			paramSend.wapchannel=params.wapchannel;
			//ַ֧
			if (params.requestUrlAndParams==undefined){
				this.log('setEpayPassword-requestUrlAndParamsȷ');
				return;
			}
			paramSend.requestUrlAndParams=encodeURIComponent(params.requestUrlAndParams);			
			//ɹص
			if (params.successCallBack == undefined || typeof params.successCallBack != 'function') {
				this.log('setEpayPassword-successCallBackȷ');
				return;
			}
			paramSend.successCallBack="ICBCEpayVerifyTools.setEpayPasswordSuccessCallBack";
			this.setEpayPasswordSuccessCallBack = params.successCallBack;
			//ǱУ
			//ȡص
			if (params.cancelCallBack != undefined && typeof params.cancelCallBack == 'function') {
				this.setEpayPasswordCancelCallBack = params.cancelCallBack;
				paramSend.cancelCallBack="ICBCEpayVerifyTools.setEpayPasswordCancelCallBack";
			}else{
				paramSend.cancelCallBack="";
			}
			if (ICBCUtilTools.isiPhone()) {
				ICBCPageTools.iOSExcuteNativeMethod("Native://EpayVerify=setEpayPassword&params="+JSON.stringify(paramSend));
			}else if (ICBCUtilTools.isAndroid()) {
				//Native.setEpayPassword(JSON.stringify(paramSend));
				ICBCUtilTools.callNative('Native', 'setEpayPassword',paramSend, function(result) {});
			}
		} catch (e) {
			this.log(e);
		}
	},
	// ޸֧ӿ
	modifyEpayPasswordSuccessCallBack:undefined,
	modifyEpayPasswordFailCallBack:undefined,
	modifyEpayPasswordCancelCallBack:undefined,
	modifyEpayPassword : function(params) {
		try {
			var paramSend={};
			//У
			//޸ַ֧
			if (params.requestUrlAndParams==undefined){
				this.log('modifyEpayPassword-requestUrlAndParamsȷ');
				return;
			}
			paramSend.requestUrlAndParams=encodeURIComponent(params.requestUrlAndParams);			
			//ɹص
			if (params.successCallBack == undefined || typeof params.successCallBack != 'function') {
				this.log('modifyEpayPassword-successCallBackȷ');
				return;
			}
			paramSend.successCallBack="ICBCEpayVerifyTools.modifyEpayPasswordSuccessCallBack";
			this.modifyEpayPasswordSuccessCallBack = params.successCallBack;
			//ʧܻص
			if (params.failCallBack == undefined || typeof params.failCallBack != 'function') {
				this.log('modifyEpayPassword-failCallBackȷ');
				return;
			}
			
			if (params.cisnum==undefined){
				paramSend.cisnum=encodeURIComponent("");
			}else{
				paramSend.cisnum=encodeURIComponent(params.cisnum);
			}
			if (params.epaymobile==undefined){
				paramSend.epaymobile=encodeURIComponent("");
			}else{
				paramSend.epaymobile=encodeURIComponent(params.epaymobile);
			}
			
			paramSend.failCallBack="ICBCEpayVerifyTools.modifyEpayPasswordFailCallBack";
			this.modifyEpayPasswordFailCallBack = params.failCallBack;			
			//ǱУ
			//ȡص
			if (params.cancelCallBack != undefined && typeof params.cancelCallBack == 'function') {
				this.modifyEpayPasswordCancelCallBack = params.cancelCallBack;
				paramSend.cancelCallBack="ICBCEpayVerifyTools.modifyEpayPasswordCancelCallBack";
			}else{
				paramSend.cancelCallBack="";
			}
			if (ICBCUtilTools.isiPhone()) {
				ICBCPageTools.iOSExcuteNativeMethod("Native://EpayVerify=modifyEpayPassword&params="+JSON.stringify(paramSend));
			}else if (ICBCUtilTools.isAndroid()) {
				Native.modifyEpayPassword(JSON.stringify(paramSend));
			}
		} catch (e) {
			this.log(e);
		}
	},
	//֤֧ӿ
	verifyEpayPasswordSuccessCallBack:undefined,
	verifyEpayPasswordFailCallBack:undefined,
	verifyEpayPasswordCancelCallBack:undefined,
	verifyEpayPasswordLeftLinkCallBack:undefined,
	verifyEpayPasswordRightLinkCallBack:undefined,
	verifyEpayPasswordChangAcctLinkCallBack:undefined,
	verifyEpayPasswordRightUpLinkCallBack:undefined,
	
	verifyEpayPassword : function(params) {
		try {
			var paramSend={};
			//У
			//ַ֤֧
			if (params.requestUrlAndParams==undefined){
				this.log('verifyEpayPassword-requestUrlAndParamsȷ');
				return;
			}
			paramSend.requestUrlAndParams=encodeURIComponent(params.requestUrlAndParams);			
			//ɹص
			if (params.successCallBack == undefined || typeof params.successCallBack != 'function') {
				this.log('verifyEpayPassword-successCallBackȷ');
				return;
			}
			paramSend.successCallBack="ICBCEpayVerifyTools.verifyEpayPasswordSuccessCallBack";
			this.verifyEpayPasswordSuccessCallBack = params.successCallBack;
			//ʧܻص
			if (params.failCallBack == undefined || typeof params.failCallBack != 'function') {
				this.log('verifyEpayPassword-failCallBackȷ');
				return;
			}
			paramSend.failCallBack="ICBCEpayVerifyTools.verifyEpayPasswordFailCallBack";
			this.verifyEpayPasswordFailCallBack = params.failCallBack;
			
			//ܲ
			paramSend.wapchannel=params.wapchannel;
			
			//ʾϢ
			if (params.tipsArray!=undefined){
				var tipsArrayString=JSON.stringify(params.tipsArray);
				tipsArrayString=tipsArrayString.replace(/"/g,"'");
				paramSend.tipsArray=encodeURIComponent(tipsArrayString);			
			}				
			
			//ԴЧʾϢ
			if (params.tipsArrayHtm!=undefined){
				var tipsArrayHtmString=JSON.stringify(params.tipsArrayHtm);
				tipsArrayHtmString=tipsArrayHtmString.replace(/\\"/g,"'");
				tipsArrayHtmString=tipsArrayHtmString.replace(/"/g,"");
				paramSend.tipsArrayHtm=encodeURIComponent(tipsArrayHtmString);
			}
					
				paramSend.epayTitle=encodeURIComponent(params.epayTitle);			
			
			if(params.backIcon != undefined){
				paramSend.backIcon = params.backIcon;
			}
			
			paramSend.tipsArrayHtm=encodeURIComponent(tipsArrayHtmString);
			
			if (params.cisnum==undefined){
				paramSend.cisnum=encodeURIComponent("");
			}else{
				paramSend.cisnum=encodeURIComponent(params.cisnum);
			}
			if (params.epaymobile==undefined){
				paramSend.epaymobile=encodeURIComponent("");
			}else{
				paramSend.epaymobile=encodeURIComponent(params.epaymobile);
			}
			//ǱУ
			//ȡص
			if (params.cancelCallBack != undefined && typeof params.cancelCallBack == 'function') {
				this.verifyEpayPasswordCancelCallBack = params.cancelCallBack;
				paramSend.cancelCallBack="ICBCEpayVerifyTools.verifyEpayPasswordCancelCallBack";
			}else{
				paramSend.cancelCallBack="";
			}
			//б
			if (params.cardList != undefined) {
				var cardListString=JSON.stringify(params.cardList);
				cardListString=cardListString.replace(/"/g,"'");
				paramSend.cardList=encodeURIComponent(cardListString);
			}else{
				paramSend.cardList="";
			}
			//
			if (params.leftLink != undefined&&params.leftLinkCallBack!=undefined&&typeof params.leftLinkCallBack == 'function') {
				paramSend.leftLink=encodeURIComponent(params.leftLink);
				this.verifyEpayPasswordLeftLinkCallBack = params.leftLinkCallBack;
				paramSend.leftLinkCallBack="ICBCEpayVerifyTools.verifyEpayPasswordLeftLinkCallBack";
			}else{
				paramSend.leftLink="";
				paramSend.leftLinkCallBack="";
			}
			//
			if (params.rightLink != undefined&&params.rightLinkCallBack!=undefined&&typeof params.rightLinkCallBack == 'function') {
				paramSend.rightLink=encodeURIComponent(params.rightLink);
				this.verifyEpayPasswordRightLinkCallBack = params.rightLinkCallBack;
				paramSend.rightLinkCallBack="ICBCEpayVerifyTools.verifyEpayPasswordRightLinkCallBack";
			}else{
				paramSend.rightLink="";
				paramSend.rightLinkCallBack="";
			}
			
			
			//л˻
			if (params.changAcctLink != undefined&&params.changAcctLinkCallBack!=undefined&&typeof params.changAcctLinkCallBack == 'function') {
				paramSend.changAcctLink=encodeURIComponent(params.changAcctLink);
				this.verifyEpayPasswordChangAcctLinkCallBack = params.changAcctLinkCallBack;
				paramSend.changAcctLinkCallBack="ICBCEpayVerifyTools.verifyEpayPasswordChangAcctLinkCallBack";
			}else{
				paramSend.changAcctLink="";
				paramSend.changAcctLinkCallBack="";
			}
			
			
			//
			if (params.rightUpLink != undefined&&params.rightUpLinkCallBack!=undefined&&typeof params.rightUpLinkCallBack == 'function') {
				paramSend.rightUpLink=encodeURIComponent(params.rightUpLink);
				this.verifyEpayPasswordRightUpLinkCallBack = params.rightUpLinkCallBack;
				paramSend.rightUpLinkCallBack="ICBCEpayVerifyTools.verifyEpayPasswordRightUpLinkCallBack";
			}else{
				paramSend.rightUpLink="";
				paramSend.rightUpLinkCallBack="";
			}
			
			
			
			
			var paramSend1={};
			
			paramSend1.cisnum=params.cisnum;
			//ǱУ
			//ص
			if (params.callBack != undefined && typeof params.callBack == 'function') {
				this.getEpayClientBindInfoCallBack = params.callBack;
				paramSend1.callBack="ICBCEpayVerifyTools.delEpayClientBindInfoCallBack";
			}else{
				paramSend1.callBack="";
			}
			if (ICBCUtilTools.isiPhone()) {
				ICBCPageTools.iOSExcuteNativeMethod("Native://EpayVerify=delEpayClientBindInfo&params="+JSON.stringify(paramSend1));
			}else if (ICBCUtilTools.isAndroid()) {
			//	var result1=Native.delEpayClientBindInfo(JSON.stringify(paramSend1));
				var result1=ICBCUtilTools.callNative('Native', 'delEpayClientBindInfo',paramSend1, function(result) {});
				if(this.delEpayClientBindInfoCallBack!=undefined)
					this.delEpayClientBindInfoCallBack(result1);
			}
			
			
			if (ICBCUtilTools.isiPhone()) {
				if(params.newAuthenDialogFlag == "1"){
					ICBCPageTools.iOSExcuteNativeMethod("Native://EpayVerify=verifyEpayPasswordNew&params="+JSON.stringify(paramSend));
				}else{
				ICBCPageTools.iOSExcuteNativeMethod("Native://EpayVerify=verifyEpayPassword&params="+JSON.stringify(paramSend));
				}
			}else if (ICBCUtilTools.isAndroid()) {
				if(params.newAuthenDialogFlag == "1"){
					ICBCUtilTools.callNative('Native', 'verifyEpayPasswordNew',paramSend, function(result) {});
				}else{
					ICBCUtilTools.callNative('Native', 'verifyEpayPassword',paramSend, function(result) {});
				}
			}

		} catch (e) {
			this.log(e);
		}
	},	
	log:function(error){
		console.log("Error: " + error);
		if(this.debug){
			alert1("Error: " + error);
		}
	}
};