var isIPhone5 = (function(){
  	 var iphone5Height = window.screen.height;
	 var devicePixelRation = window.devicePixelRatio;
	 if(iphone5Height==568 && devicePixelRation == 2 && ICBCUtilTools.isiPhone()){
		 return true;
	 }else{
		 return false;
	 }
})();
define( [ "handlebars","swiper3","zepto","text!open4iphone/../../ebdpui/open4iphone/ebdp-open4iphone-creditcard-swiper-core.html",
		"css!open4iphone/../../ebdpui/icbc_client/css/icbc_app/creditcard/creditcard.css" ], function(
		Handlebars,Swiper,zepto,swiperHtml, cssa){
	
		function CreditCardSwiperCore(id, data,slideChangeCallBack,maxLen,apps) {
		    this.id = id;
		    this.data = data;
		    this.slideChangeCallBack=slideChangeCallBack;
		    this.swiper = null;
		    this.length = 0;
		    this.apps = apps;    /* 应用来源标志  1-e生活ofst，其他都是其他应用  */
		    if(maxLen){
		    	 this.maxLength = maxLen;
		    }else{
		    	 this.maxLength = 15;
		    }
		    
		};
	
		CreditCardSwiperCore.prototype = {
		    init: function (object) {
				this.showList(this.data,this.id);
				this.bindingEvent();
		    },
		    showList:function(jsonData,containtId){
		    			this.length=jsonData.tuoguanCardList.length;
		    		 jsonData.cardLength = this.length;
		    		 jsonData.uaiPhone=ICBCUtilTools.isiPhone();
		    		 jsonData.apps=this.apps;  //增加送入应用来源标志
		    		
					var template = Handlebars.compile(swiperHtml);   	
			    	var html =template(jsonData);   
			    	$("#"+containtId).append(html); 
			    	 var stretch = 10;
			    	 if(isIPhone5){stretch=20};
			    	 var that = this;
			    	 this.swiper = new Swiper('.swiper-container', {
				       /* pagination: '.cc_pagination',*/
				        paginationClickable: true,
				        onTouchEnd:function(swiper){
				        	var screenW = jQuery(window).width()/2-20;
				        	var startX=swiper.touches.startX;
				        	var currentX=swiper.touches.currentX;
				        	var delta =  startX-currentX;
				        	delta = delta>=0?delta:-delta;
				        	if(delta >=screenW){
					        	var str = "#creditCardDymnicArea"+swiper.activeIndex;
					        	var html=$(str).html();
					        	if(html){
					        		html=html.trim();
						        	if(html.length==0){
						        		that.slideChangeCallBack.call(this,swiper);
						        	}
					        	}
				        	}
				        },
				        onSlideChangeEnd:this.slideChangeCallBack,
				        onSlideChangeStart:function(swiper){
				        	//that.dealPaganation();
				        },
				        grabCursor: true,
				        centeredSlides: true,
				        slidesPerView: 'auto',
				        effect: 'coverflow',
				        coverflow: {
				            rotate: 50,
				            stretch: stretch,
				            depth: 50,
				            modifier: 1,
				            slideShadows : false
				        }
				    }); 

		    },
		    bindingEvent: function () {
		    	if(this.apps==1){
		    	   this.initPagesOfst();
		      }else{
		    	   this.initPages();
		      }
		    	//this.dealPaganation();
		    },
		    dealPaganation:function(){
		    	var activeIndex=0;
		    	activeIndex = this.swiper.activeIndex;
		    	try{
		    		this.length=this.swiper.slides.length;
		    	}catch(e){
		    		this.length = this.data.length;
		    	}
		    	
		    	if(this.length>=this.maxLength){
		    		this.swiper.paginationContainer.innerHTML=(activeIndex+1) +" / "+ this.length;
		    	}
		    },
		    initPages:function(){
		    	if(typeof this.data.outOfLogin!=undefined && this.data.outOfLogin!=true){
		    		jQuery("#totalCard").html("共"+this.length+"张");
		    	}
		    },
		    initPagesOfst:function(){
		    	if(typeof this.data.outOfLogin!=undefined && this.data.outOfLogin!=true){
		    		jQuery("#totalCard").html("全部卡(共"+this.length+"张)");
		    	}
		    }
	
		    
	
	};
	return CreditCardSwiperCore;
});