﻿require.config( {
	baseUrl :"/ICBCWAPBank/ebdpui", 
	paths : {
		jquery :"jquery/jquery-1.11.2.min",
		jqm :"icbc_client/js/jqm",
		zepto :"icbc_client/js/zepto.min",
		vue :"icbc_client/js/vue.min",
		iscroll :"icbc_client/js/iscroll",
		jroll :"icbc_client/js/jroll.min",
		newCardList:"open4iphone/ebdp-open4iphone-newcardlist",
		easycardlist:"open4iphone/ebdp-open4iphone-easy-cardlist",
		handlebarsSrc :"thirdpart/js/handlebars.min",
		echarts :"thirdpart/js/echarts.min",
		handlebars :"open4iphone/ebdp-open4iphone-handlebarsCustom",
	    containerList:"open4iphone/ebdp-open4iphone-containerList",
	    containerListOther:"open4iphone/ebdp-open4iphone-containerListOther",
	    datatable:"open4iphone/ebdp-open4iphone-datatable",
	    datatableOther:"open4iphone/ebdp-open4iphone-datatableOther",
	    datatable_title:"open4iphone/ebdp-open4iphone-datatable_title",
	    datatable_title2:"open4iphone/ebdp-open4iphone-datatable_title2",
	    fundDatatable :"open4iphone/ebdp-open4iphone-fundDatatable",
	    orderListTable:"open4iphone/ebdp-open4iphone-orderListTable",
   	  	dataline:"open4iphone/ebdp-open4iphone-dataline",
   	  	deployDetail:"open4iphone/ebdp-open4iphone-deployDetail",
	    accountCardTable:"open4iphone/ebdp-open4iphone-accountCardTable",
	    accountCardButton:"open4iphone/ebdp-open4iphone-accountCardButton",
	    accountCardSkimTable:"open4iphone/ebdp-open4iphone-accountCardSkimTable",
	    accountCardDqSkimTable:"open4iphone/ebdp-open4iphone-accountCardDqSkimTable",
	    searchdropdown:"open4iphone/ebdp-open4iphone-searchdropdown",
	    searchdropdownForAddRegCard:"open4iphone/ebdp-open4iphone-searchdropdownForAddRegCard",
	    toast:"open4iphone/ebdp-open4iphone-toast",
	    store:"open4iphone/ebdp-open4iphone-store",
	    titleButton:"open4iphone/ebdp-open4iphone-titleButton",
	    dataContainerWithTitle:"open4iphone/ebdp-open4iphone-dataContainerWithTitle",
	    financeDatatable:"open4iphone/ebdp-open4iphone-financeDatatable",
	    SingleSelect: "open4iphone/ebdp-open4iphone-SingleSelect",
	    Signleselectlist: "open4iphone/ebdp-open4iphone-Signleselectlist",
	    SignleselectlistPayee: "open4iphone/ebdp-open4iphone-SignleselectlistPayee",
	    suggestSearch: "open4iphone/ebdp-open4iphone-suggestSearch",
	    twoColsLayout: "open4iphone/ebdp-open4iphone-twoColsLayout",
	    moneychinese: "open4iphone/ebdp-open4iphone-moneychinese",
	    dataTableWithTitle:"open4iphone/ebdp-open4iphone-dataTableWithTitle",
	    deployDetail: "open4iphone/ebdp-open4iphone-deployDetail",
	    timelineTable:"open4iphone/ebdp-open4iphone-timelineTable",
	    accountTimelineTable:"open4iphone/ebdp-open4iphone-account-timelineTable",
	    timelineTableNew:"open4iphone/ebdp-open4iphone-timelineTableNew",
	    accountDetailTable:"open4iphone/ebdp-open4iphone-accountDetailTable",
	    threeLinkage:"open4iphone/ebdp-open4iphone-threeLinkage",
	    showInfoWithTitle:"open4iphone/ebdp-open4iphone-showInfoWithTitle",    
		dataTableContainer:"../ebdpui/open4iphone/ebdp-open4iphone-dataTableContainer",
		financeAccountCardTable:"../ebdpui/open4iphone/ebdp-open4iphone-financeAccountCardTable",
		epayCardTable:"open4iphone/ebdp-open4iphone-epayCardTable", 
		aggregatingEpayCardTable:"open4iphone/ebdp-open4iphone-aggregatingEpayCardTable",
		epayMobileNoInput:"open4iphone/ebdp-open4iphone-epayMobileNoInput",
		threeForeachDatatable:"../ebdpui/open4iphone/ebdp-open4iphone-threeForeachTable", 
		timeDataTable:"../ebdpui/open4iphone/ebdp-open4iphone-timeDataTable", 
	    creditCardTable:"open4iphone/ebdp-open4iphone-creditCardTable",
	    swiperList:"../ebdpui/open4iphone/ebdp-open4iphone-dataSwiperList",
	    swipeslide:"open4iphone/ebdp-open4iphone-swipeslide",
	   	advertshow:"open4iphone/ebdp-open4iphone-advertshow",
	   	primarySelect:"open4iphone/ebdp-open4iphone-primarySelect",
	   	remitServiceFeeTable:"open4iphone/ebdp-open4iphone-remitServiceFeeTable",
	   	donationDataTable:"open4iphone/ebdp-open4iphone-donationDataTable",
	   	faceWithdrawnCardTable:"open4iphone/ebdp-open4iphone-faceWithdrawnCardTable",
		TransactionDetail:"open4iphone/ebdp-open4iphone-accumulation-transaction-detail",


	    epayAddRegCardTable:"open4iphone/ebdp-open4iphone-epayAddRegCardTable", 
	    epayMPOthCardTable:"open4iphone/ebdp-open4iphone-epayMPOthCardTable", 
	    fundCompanySearch: "open4iphone/ebdp-open4iphone-fundCompanySearch",
	    
	    /**异步数据加载*/
	    dataGetter:"../ebdpui/open4iphone/ebdp-open4iphone-dataGetter",
	    interest:"../ebdpui/open4iphone/ebdp-open4iphone-interest",
	    Newinterest:"../ebdpui/open4iphone/ebdp-open4iphone-Newinterest",
	    refreshdataGetter:"../ebdpui/open4iphone/ebdp-open4iphone-refreshDataGetter", 
	    
	    //地图
	    threeLinkage:"../ebdpui/open4iphone/ebdp-open4iphone-threeLinkage",
	    
	    //added by ytt
	    hospitalProductList:"../ebdpui/open4iphone/ebdp-open4iphone-hospitalProductList",
	    twoLevelArea:"../ebdpui/open4iphone/ebdp-open4iphone-twoLevelArea",
	    /**旧版本 账户贵金属**/
	   oldDatatable :"open4iphone/ebdp-open4iphone-oldDatatable",
	   
	   accountCardTable_winphone :"open4iphone/winphone/ebdp-open4iphone-accountCardTable-winphone",
		   
	   //保险列表模板 add by tk
	   insureDatatable :"open4iphone/ebdp-open4iphone-insureDatatable",
	   creditCardSwiperCore:"open4iphone/ebdp-open4iphone-creditcard-swiper-core",
	   swiper3 :"icbc_client/js/swiper3.min",
	   fastclick :"icbc_client/js/fastclick",
	   inputbar:"open4iphone/ebdp-open4iphone-inputbar",
		cardlist:"open4iphone/ebdp-open4iphone-cardlist",
		scrollcontent:"open4iphone/ebdp-open4iphone-scrollcontent",
		cardmodule:"open4iphone/ebdp-open4iphone-cardmodule",
     		slider:"open4iphone/ebdp-open4iphone-slider",
		defineConfirm:"open4iphone/ebdp-open4iphone-defineConfirm",
		checklist:"open4iphone/ebdp-open4iphone-checklist",
		passwdinput:"open4iphone/ebdp-open4iphone-passwdinput",
		flexList:"../ebdpui/open4iphone/ebdp-open4iphone-flexList",
            currencylist:"../ebdpui/open4iphone/ebdp-open4iphone-currencylist",
            logistic:"../ebdpui/open4iphone/ebdp-open4iphone-logistic",
	    datepickerEx:"../ebdpui/open4iphone/ebdp-open4iphone-datepickerEx",
	    mainPop:"open4iphone/ebdp-open4iphone-mainPop",
	    mainPopForAmt:"open4iphone/ebdp-open4iphone-mainPopForAmt",
	    	editInformation: "open4iphone/ebdp-open4iphone-editInformation",
	    	profitList: "open4iphone/ebdp-open4iphone-profitList",
		accountsDetails: "open4iphone/ebdp-open4iphone-accountsDetails",
		areaSelect:"../ebdpui/open4iphone/ebdp-open4iphone-areaSelect",
		areacodeselect:"../ebdpui/open4iphone/ebdp-open4iphone-areacodeselect",
		selectedProduct:"../ebdpui/open4iphone/ebdp-open4iphone-selectedProduct",
                scrolltab:"../ebdpui/open4iphone/ebdp-open4iphone-scrolltab",
		bargraph:"../ebdpui/open4iphone/ebdp-open4iphone-bargraph",
		countrycodeselect:"../ebdpui/open4iphone/ebdp-open4iphone-countrycodeselect",
		guesslike:"../ebdpui/open4iphone/ebdp-open4iphone-guesslike",
        swipeslidenew :"../ebdpui/open4iphone/ebdp-open4iphone-swipeslidenew",
        guidebar:"../ebdpui/open4iphone/ebdp-open4iphone-guidebar",
	flexList1:"../ebdpui/open4iphone/ebdp-open4iphone-flexList1",
        logistic1:"../ebdpui/open4iphone/ebdp-open4iphone-logistic1"
	},
	map : {
		'*' : {
			'text' :'open4iphone/requirejs/plugins/text',
			'css' :'open4iphone/requirejs/plugins/css',
			'domReady':'open4iphone/requirejs/plugins/domReady'
		}
	},
	shim : {
		'handlebarsSrc' : {
			exports :'Handlebars'
		}
	},
	urlArgs : wapVersion
});
