/*
	ܣڸʽǷЧ
	룺ַڵĸʽ(YYYY,MM,DD,ʽΪYYYYMMDD,MM/DD/YYYY)
	truefalse
*/

function isValidDate(dateStr,format){
	var yearPos = format.indexOf("YYYY");
	var monthPos = format.indexOf("MM");
	var dayPos = format.indexOf("DD");
	
	if(dateStr.length != format.length){
		return false;
	}
	
	var year = dateStr.substring(yearPos,yearPos + 4);
	var month = dateStr.substring(monthPos,monthPos + 2);
	var day = dateStr.substring(dayPos,dayPos + 2); 

	if(isNaN(year) || isNaN(month) || isNaN(day)){
		return false;
	}
	
	var dayNumOfMonth = new Array(31, 28, 31, 30, 31, 30, 31, 31, 30, 31, 30, 31);
	
	if(((year % 4 == 0) && (year % 100 != 0)) || (year % 400 == 0)){
		dayNumOfMonth[1]=29;
	}
	
	if(month < 1 || month > 12 || day >dayNumOfMonth[month -1] || day < 1 ){
		return false;
	}
	else{
		return true;
	}

}

function isPosInteger(e)
{ 
	for(i=0;i<e.length;i++)
	{
		var oneChar=e.charAt(i);
		if(oneChar<'0'||oneChar>'9')
		{
			return false;
		}
	}
	return true;
}

function CheckCredNum(credNum)
{
		//֤ǰ17λҵȨֵ
		var weight =new Array(7,9,10,5,8,4,2,1,6,3,7,9,10,5,8,4,2);
		var sum = 0;
		var checkDigit ='X';
		
		//֤ȼ
		if(credNum.length != 15 && credNum.length != 18)
		{
			//alert("֤Ȳȷ");
			return false;
		}
		//15λ֤
		if(credNum.length == 15)
		{
			//յĺϷ
			if(isValidDate("19" + credNum.substr(6,6),"YYYYMMDD")==false)
			{			
				//alert("֤г" + credNum.substr(6,6));
				return false;
			}			
			if(isPosInteger(credNum)==false)
			{
				//alert("15λ֤ȫΪ֣");
				return false;
			}
		}
		
		if(credNum.length==18)
		{
			//ǰ17λǷȫΪ
			if(isPosInteger(credNum.substr(0,17))==false)//
			{
				//alert("18λ֤ǰ17λȫΪ!");
				return false;
			}
			
			//յĺϷ
			if(!isValidDate(credNum.substr(6,8),"YYYYMMDD"))
			{
				//alert("֤г"+ credNum.substr(6,8));
				return false;
			}
			
			//Уλֵ
			for(var i = 0; i < 17; i++)
			{
				sum = sum + credNum.substr(i,1)*weight[i];
			}
			//
			var mod = sum - Math.floor(sum/11)*11;
			
			switch(mod)
			{
				case 0:	checkDigit = "1";break;
				case 1:	checkDigit = "0";break;
				case 2: checkDigit = "X";break;
				case 3:	checkDigit = "9";break;
				case 4: checkDigit = "8";break;
				case 5: checkDigit = "7";break;
				case 6:	checkDigit = "6";break;
				case 7: checkDigit = "5";break;
				case 8:	checkDigit = "4";break;
				case 9:	checkDigit = "3";break;
				case 10:checkDigit = "2";break;
			}
			
			if(credNum.substr(17,1) != checkDigit.toString())
			{
				//alert("֤!");
				return false;
			}
		}
		return true;
}//֤Уϡ