function productPie(id,data) {
	this.id = id;
	this.data= data[1].option;
	this.dataName=[];
	this.dataValue=[];
	this.totalValue=data[0].total;
	this.htmlStr=null;
};
/*处理小数位数*/
productPie.prototype.toStdAmount=function(money){
    //把所有的分隔符和空格去掉
    var sComma = /\,/gi;
    var sResult =money.replace(sComma,"").replace(/^\s+|\s$/g,'').replace(/\s+/g,'')+'';//123元.12角=>123
    //找到小数点所在的位置
    var iDotIndex = sResult.indexOf('.');
    //计算传进来的参数的长度
    var iLength = sResult.length;
    //声明一个非数字的变量
    var toMatchNaNum = /\D/;
    if ((iDotIndex!=-1&&(toMatchNaNum.test(sResult.slice(0,iDotIndex))))
            ||toMatchNaNum.test(sResult.slice(iDotIndex+1,iLength))){
        flag=false;
        return '非法金额';		// 小数点后大于2位数 或 含有非数字字符
    }else{
        // 将金额处理为######.##形式
        if (iDotIndex==-1){
            sResult = sResult+'.00';
        }else if (iDotIndex==0){
            if (iLength-iDotIndex==1) sResult='0'+sResult+'00';
            if (iLength-iDotIndex==2) sResult='0'+sResult+'0';
            if (iLength-iDotIndex==3) sResult='0'+sResult;
        }else{
            if (iLength-iDotIndex==2) sResult=sResult+'0';
            if (iLength-iDotIndex==1) sResult=sResult+'00';
        };
        // 处理金额非前面的0
        var sTemp = "";
        //sTemp=整数部分
        sTemp = sResult.slice(0,iDotIndex);
        var iTemp = new Number(sTemp);
        sTemp = iTemp.toString();
        if (sTemp.length>16) {
            flag = false;return '非法金额';// 太长的金额
        };
        iDotIndex = sResult.indexOf('.');
        sResult = sTemp+sResult.slice(iDotIndex,iDotIndex+3);	// 返回######.##形式的金额
        return sResult+'';
    }
};
/*为金额添加,分割符*/
productPie.prototype.addComma=function(str) {
    if (str.length > 3){
        var mod = str.length % 3;
        var output = (mod > 0 ? (str.substring(0,mod)) : '');
        for (i=0 ; i < Math.floor(str.length / 3); i++) {
            if ((mod == 0) && (i == 0)){
                output += str.substring(mod+ 3 * i, mod + 3 * i + 3);
            }else{
                output += ',' + str.substring(mod + 3 * i, mod + 3 * i + 3);
            }
        }
        return (output);
    }
    else {
        return str;
    }
};
/*为金额添加,分割符*/
productPie.prototype.toCashWithComma=function( cash ){
    var cash=this.toStdAmount(cash);
    var dotIndex = cash.indexOf('.');
    var integerCash = cash.substring( 0, dotIndex );
    var decimalCash = cash.substring( dotIndex,dotIndex+3);
    return this.addComma(integerCash)+decimalCash;
};

productPie.prototype.show = function(){
	var This=this;
	var num=0;
	var arrIndex=[];//存放每一个扇形的下标
	var paramIndex=0;
	jQuery(This.data).each(function(index,current){
		This.dataName.push(This.data[index].name);
		This.dataValue.push(This.data[index].value);
		arrIndex.push(paramIndex);
		paramIndex++;
	});
	/*//计算总金额
	jQuery(This.dataValue).each(function(index,current){
		This.totalValue+=parseFloat(current)
	});*/
	
	jQuery("#"+This.id).css({'width':'100%','height':'100%','box-sizing':'border-box'})
	
	var $circle=jQuery("#"+This.id).siblings('.ebdp-open4iphone-productPie-circle'); 
	This.htmlStr='<p style="font-size:14px;height:40%;line-height:52px;">总计</p><p style="font-size:14px;line-height:30px;">'+This.toCashWithComma(This.totalValue+'')+'</p>';
	$circle.html(This.htmlStr);
	var w=$circle.find('p').eq(1).width();
	//console.log(w)
	if(w<80){
		$circle.css({width:80,height:80,marginLeft:-40,marginTop:-32});
	}else{
		$circle.css({width:w+10,height:w+10,marginLeft:-(w+10)*0.5,marginTop:-(w+10)*0.4});
	};
	/*$circle.css({width:w+10,height:w+10,marginLeft:-(w+10)*0.5,marginTop:-(w+10)*0.5});
	$circle.css({minWidth:80,minHeight:80});*/
	//获取右侧箭头
	var $arrow=jQuery("#"+This.id).siblings('.ebdp-open4iphone-productPie-paramsData').find('.ebdp-open4iphone-productPie-arrow');
	if(This.data.length==1){
		$arrow.hide();
	}
	//获取展示数据的标签
	var $paramsData=jQuery("#"+This.id).siblings('.ebdp-open4iphone-productPie-paramsData').find('.ebdp-open4iphone-productPie-currentData');
	
	function appendHtmlStr(){
		var initStr='<div style="margin:0;padding:0;text-align:center;color:#f65e1d">'+
			    '<div style="font-size:16px;height:24px;">'+
			    '<span style="margin:0 5px;">'+This.data[num%This.dataName.length].name+'</span>'+
			    '<span class="dataSpan"></span>'+
			'</div>'+
			'<div style="height:32px;">'+
			    '<span style="font-size:22px">￥</span>'+
			    '<span style="font-size:24px;">'+This.toCashWithComma(This.data[num%This.dataName.length].value+'')+'</span>'+
			'</div>'+
			'</div>'	
		$paramsData.html(initStr);
	};
	appendHtmlStr();//初始化时显示默认的数据
	var strData= ((This.data[num%This.dataName.length].value /This.totalValue)*100).toFixed(2);
	if(strData>=0.01){
		jQuery('.dataSpan').html(strData+'%')
	}else{
		jQuery('.dataSpan').html('<0.01%')
	};
	
	
	// 图表实例化------------------
	var myChart = echarts.init(document.getElementById(this.id));
	option = {
        title : {
        	show:false
        },
        animation: true,
        color:['#f65e1d','#f59c1e','#ffd112','#9eda3e','#de3031'],
        tooltip : {
            show:false
        },
        legend: {
            show:true
        },
        toolbox: {
            show : false
        },
        calculable : true,
        series : [
            {
                name:'',
                type:'pie',
                legendHoverLink:true,
                hoverAnimation:false,
                selectedMode:false,
                clockwise:true,
                startAngle:90,
                minAngle:5,
                selectedOffset:10,
                radius : '90%',
                center: ['50%', '40%'],
                data:This.data,
                itemStyle : {
                   normal : {
                        label : {
                            show :false 
                        },
                        labelLine : {
                            show : false
                        }
                    },
                    emphasis : {
                        label : {
                            show : false
                        },
                        labelLine : {
                            show : false
                        }
                    }
                }
                /*tooltip:{
                    show:false,
                    position:['35%','80%'],
                    formatter : function(params, ticket, callback) {
        				var res = '';
        				res+='<div style="margin:0;padding:0;text-align:center;color:#f65e1d">'+
							    '<div style="font-size:16px;height:24px;">'+
							        '<span style="margin-right:8px;">'+params.name+'</span>'+
							        '<span">'+params.percent+'%</span>'+
							    '</div>'+
							    '<div style="height:32px;">'+
								    '<span style="font-size:22px">￥</span>'+
							        '<span style="font-size:24px;">'+This.toCashWithComma(params.value+'')+'</span>'+
							    '</div>'+
							'</div>'	
    					setTimeout(function() {
    						$paramsData.html(res)
        				}, 10);
        			}
                }*/
            }
        ]
    };
	myChart.setOption(option);
	//初始化时突出第一项数据对应的扇形
	myChart.dispatchAction({
		type:'pieSelect',
		seriesIndex:0,
		name:This.dataName[num%This.dataName.length],
		dataIndex:arrIndex[num%This.dataName.length]
	});
	//右侧箭头点击事件
	$arrow.click(function(){
		myChart.dispatchAction({
			type:'pieUnSelect',
			seriesIndex:0,
			name:This.dataName[num%This.dataName.length],
			dataIndex:arrIndex[num%This.dataName.length]
		});
		num++;
		myChart.dispatchAction({
			type:'pieSelect',
			seriesIndex:0,
			name:This.dataName[num%This.dataName.length],
			dataIndex:arrIndex[num%This.dataName.length]
		});
		appendHtmlStr();
		var strData= ((This.data[num%This.dataName.length].value /This.totalValue)*100).toFixed(2);
		if(strData>=0.01){
			jQuery('.dataSpan').html(strData+'%')
		}else{
			jQuery('.dataSpan').html('<0.01%')
		}
		return false;
	});
	//饼图中每一块扇形的点击事件
	function pieClick(param){
		var index=num%This.dataName.length;
		num=param.dataIndex;
		if(index!=num){
			myChart.dispatchAction({
				type:'pieUnSelect',
				seriesIndex:0,
				name:This.dataName[index],
				dataIndex:arrIndex[index]
			});
			myChart.dispatchAction({
				type:'pieSelect',
				seriesIndex:0,
				name:This.dataName[num%This.dataName.length],
				dataIndex:arrIndex[num%This.dataName.length]
			});
			appendHtmlStr();
			var strData= ((This.data[num%This.dataName.length].value /This.totalValue)*100).toFixed(2);
			if(strData>=0.01){
				jQuery('.dataSpan').html(strData+'%')
			}else{
				jQuery('.dataSpan').html('<0.01%')
			}
		};
		return false;
	};
	/*var touch = ('ontouchstart' in window);
	var START_EVENT = touch ? 'touchstart' : 'mousedown';*/
	myChart.on('click',pieClick);
	
	window.onresize = myChart.resize;
};